import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/forumapp/forum/reportinfo/` + url, ...arg)

/**
 * 论坛-帖子举报信息表Api接口管理器
 *
 * @author 金吉龙
 * @date  2025/07/17 16:39
 **/
export default {
	// 获取论坛-帖子举报信息表分页
	forumReportInfoPage(data) {
		return request('page', data, 'get')
	},
	// 提交论坛-帖子举报信息表表单 edit为true时为编辑，默认为新增
	forumReportInfoSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除论坛-帖子举报信息表
	forumReportInfoDelete(data) {
		return request('delete', data)
	},
	// 获取论坛-帖子举报信息表详情
	forumReportInfoDetail(data) {
		return request('detail', data, 'get')
	}}
